
Jupiter - Zadanie #1553
Utworzenie serwisu mergującego dane z infony i jupitera
2017-02-09 15:19 - Michał Komar

Status: Zamknięty Start date: 2017-02-10
Priority: Normalny Due date: 2017-02-10
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Tester: Michał Komar
Description
Należy utworzyć serwis, który będzie łączył informacje z jupitera i infony.
    1. Pobieranie danych o dzieciach
        -  pobranie danych z indeksu
        -  przejście po zwróconych danych i sprawdzenie, czy nie ma dla nich zmiany nazwy lub parenta po stronie jupitera - jeżeli jest ->
podmiana nazwy lub usunięcie z listy 
        -  pobranie danych z poszukiwanym parentem z jupitera i sprawdzenie, czy nie istnieje nowy element. Jeżeli istnieje, to dodanie
go do listy
    2. Pobieranie danych o pojedynczym elemencie z mongo
        -  sprawdzenie, czy istnieje w jupiterze z nieopublikowanymi zmianami 
        -  jeżeli istnieje, to wyświetlenie elementu z jupitera
        -  w przeciwnym wypadku pobranie z mongo

Related issues:
Follows Jupiter - Zadanie # 1552: Utworzenie serwisu pobierającego dane z infony Zamknięty 2017-02-09

Associated revisions
Revision 5ab53b0b - 2017-03-02 16:23 - Michał Komar

refs #1553: Refaktoring list providerów

Revision c05136d7 - 2017-03-02 16:29 - Michał Komar

refs #1553: Drobne poprawki

Revision d58d4c34 - 2017-03-03 12:21 - Michał Komar

refs #1553: Refaktoring list providerów

Revision 841f607d - 2017-03-03 12:27 - Michał Komar

refs #1553: Refaktoring list providerów

Revision 1777c013 - 2017-03-03 16:33 - Michał Komar

refs #1553: Zmiana nazwy metody w serwisie na zgodną z konwencją

Revision ca2eb4b6 - 2017-03-06 14:37 - Michał Komar
refs #1553: Refaktoring modelu dokumentów. Serwis do zapisywania zmian.

Revision ae9bf838 - 2017-03-06 14:40 - Michał Komar

refs #1553: Poprawienie testu

Revision 6dff3f91 - 2017-03-06 16:46 - Michał Komar

refs #1553: Dodanie testu dla serwisu internal

Revision 7c6a56a3 - 2017-03-07 10:44 - Michał Komar

refs #1553: Zmiana modelu currentDocument

Revision 917a9c3f - 2017-03-09 13:09 - Michał Komar

refs #1553: Implementacja serwisu internal

Revision 32dd0c77 - 2017-03-09 13:09 - Michał Komar

refs #1553: Poprawienie mapowań. Dodanie testów wyszikiwania w internal.

Revision 973d5e8e - 2017-03-09 13:14 - Michał Komar

refs #1553: Poprawienie mapowań.

Revision c01a5959 - 2017-03-09 14:01 - Michał Komar

refs #1553: Konfiguracja transactionManagera.

Revision d61fac67 - 2017-03-10 08:33 - Michał Komar

refs #1553: Poprawienie konwertera

Revision 8b0d6e29 - 2017-03-10 15:30 - Michał Komar

refs #1553: Dodanie mixinów. Konfiguracja state machine.

Revision 8d5234ef - 2017-03-13 14:03 - Michał Komar

refs #1553: Mergowanie wyników wyszukiwania + obsługa eventu zapisania
Revision f8ed2747 - 2017-03-15 13:47 - Michał Komar

refs #1553: TopParent na dokumentach. Przeglądanie historii.

Revision e5022424 - 2017-03-15 13:49 - Michał Komar

refs #1553: Usunięcie warningów

Revision 5be39c5a - 2017-03-15 13:52 - Michał Komar

refs #1553: Usunięcie warningów cd.

Revision b7dfe7c5 - 2017-03-15 13:54 - Michał Komar

refs #1553: Poprawienie generyków w typescript

Revision ceb81cfc - 2017-03-15 15:46 - Michał Komar

refs #1553: Ulepszenie enumów przy generowaniu typescriptu

Revision 4a5d5db8 - 2017-03-16 08:41 - Michał Komar

refs #1553: Obsługa typów na liście przez jacksona.

Revision 26604b1f - 2017-03-16 11:01 - Michał Komar

refs #1553: Dodane matchowanie zapytań oraz obsługa parenta database

Revision f391a5f4 - 2017-03-28 07:18 - Łukasz Waśkiewicz

refs #1553 mergowanie wyników infona/jupiter dla rootów drzewa

Revision 846279b4 - 2017-03-28 09:19 - Łukasz Waśkiewicz

refs #1553 mergowanie wyników infona/jupiter dla rootów drzewa

Revision 2f774e30 - 2017-04-11 14:16 - Łukasz Waśkiewicz

refs #1553 poprawione + pobieranie jeśli user ma/nie ma przypisanych

History
#1 - 2017-02-09 15:19 - Michał Komar
- Description updated
#2 - 2017-02-09 15:36 - Michał Komar
- Follows Zadanie #1552: Utworzenie serwisu pobierającego dane z infony added

#3 - 2017-03-02 14:11 - Michał Komar
- Developer Michał Komar added

#4 - 2017-03-16 10:27 - Michał Komar
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- Developer Łukasz Waśkiewicz added

Dodałem weryfikację dokumentów z internal document storage za pomocą queryMatcherów. Trzeba dorobić zapytania na poziomie roota.

#5 - 2017-03-28 07:21 - Łukasz Waśkiewicz
- Status changed from Nowy to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 0 to 100

#6 - 2017-04-11 10:57 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Trzeba poprawić PublisherQueryMatcher class cast exception.

#7 - 2017-04-12 08:35 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

poprawione + pobieranie jeśli user ma/nie ma przypisanych czasopism

#8 - 2017-04-18 09:17 - Michał Komar
- Status changed from Testowanie to Rozwiązany

Ok. Wygląda na to, że działa.

#9 - 2017-06-06 11:56 - Michał Komar
- Status changed from Rozwiązany to Zamknięty
